jQuery Helper. Functions as a stack for code and loads all jQuery dependencies.

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## Proxy to container methods

    __call(string $method, array $args) : mixed

### Parameters

#### $method

`string`

#### $args

`array`

### Exceptions

`\Zend_View_Exception` | For invalid method calls

### Returns

`mixed`

## Initialize helper

    __construct()

Retrieve container from registry or create new container and store in registry.

## Disable noConflict Mode of jQuery if this was previously enabled.

    disableNoConflictMode() : void

Static

## Enable the jQuery internal noConflict Mode to work with other Javascript libraries. Will setup jQuery in the variable $j instead of $ to overcome conflicts.

    enableNoConflictMode()

Static

link | http://docs.jquery.com/Using_jQuery_with_Other_Libraries

## Return current jQuery handler based on noConflict mode settings.

    getJQueryHandler() : String

Static

### Returns

`String`

## Return current status of the jQuery no Conflict Mode

    getNoConflictMode() : Boolean

Static

### Returns

`Boolean`

## Return jQuery View Helper class, to execute jQuery library related functions.

    jQuery() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set view object

    setView(\Zend_View_Interface $view) : void

### Parameters

#### $view

`\Zend_View_Interface`

### Properties

## $view

    $view : \Zend_View_Interface

### Default

## jQuery no Conflict Mode

    $noConflictMode

### Default

`false`
Static

see |
staticvar | Boolean Status of noConflict Mode